$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-676fed7cfceb813efe07f604ca97556733b1e666/rpcs3-v0.0.12-10860-676fed7c_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '8249d2e962fffcad933dfdda84bb7cf685ae9b5bfef3911c6bd4b30b0a0d1c5a'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
